View Issue Details

IDProjectCategoryView StatusLast Update
0001994Ham Radio DeluxeBugpublic2017-05-21 23:53
ReporterKB3NPH 
Assigned ToERIK 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.647 
Summary0001994: Incorrect parsing of fields in DM ALE
DescriptionWhen entering the call SV1LHZ in the DM-780 ALE, the callsign lookup does not appear to populate the user name and other data. If we select the "MORE" tab, we find a dot or period about the second or third line down in the Address window, which, when we put the cursor to the right of this dot and backspace, we can backspace to the top of the Address window.

When the SV1LHZ callsign is placed in the Logbook ALE, the lookup is done correctly and all information is populated as it should.

Both Mike and I verified this bug and it can be replicated.

The customer who reported this to me found the same problem with a few calls when entered in the DM ALE. Most worked perfectly, however some would do the lookup in the LB ALE but not the DM ALE.
TagsNo tags attached.
ModuleDM780
Sub-ModuleCall lookup
Testing

Relationships

Activities

WA9PIE

2017-03-09 22:04

administrator   ~0003135

Actually, I don't think it's entirely correct in the Logbook ALE... but let's get it correct in the DM ALE first.

WA9PIE

2017-03-10 14:27

administrator   ~0003136

This QRZ XML Interface Specification might be helpful:

https://www.qrz.com/XML/current_spec.html

WA9PIE

2017-03-12 14:22

administrator   ~0003144

Confirmed fixed by beta testers.

Issue History

Date Modified Username Field Change
2017-03-09 12:41 KB3NPH New Issue
2017-03-09 22:04 WA9PIE Note Added: 0003135
2017-03-10 14:24 WA9PIE Assigned To => ERIK
2017-03-10 14:24 WA9PIE Status new => assigned
2017-03-10 14:27 WA9PIE Note Added: 0003136
2017-03-12 14:22 WA9PIE Status assigned => closed
2017-03-12 14:22 WA9PIE Resolution open => fixed
2017-03-12 14:22 WA9PIE Fixed in Release TBD => 6.4
2017-03-12 14:22 WA9PIE Fixed in Build (ie. 377) => 638
2017-03-12 14:22 WA9PIE Note Added: 0003144
2017-05-21 21:12 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-05-21 21:46 WA9PIE Fixed in Version => 6.4.0.647
2017-05-21 23:53 WA9PIE Fixed in Build (ie. 377) 638 =>